<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Teilnehmer;

class DozTeilnehmerPresenter extends \Kufer\Web\KuferTools\Basis\Kursdetails\Detailsreiter\Teilnehmer\TeilnehmerPresenter
{
  protected function getViewModel()
  {
    $viewModel = parent::getViewModel();
    if (!is_null($this->useCaseResponse->statusMessage)) {
      $viewModel->kurs->statusMsg = $this->useCaseResponse->statusMessage;
    }

    return $viewModel;
  }
}